This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 700446 - Deprecate hal-info
Deprecate hal-info
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 08:42 EDT by Nicola Soranzo
Modified: 2011-05-20 14:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-06 04:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2011-04-28 08:42:17 EDT
Description of problem:
Now that hal package has been deprecated and removed from composes, hal-info has a broken dependency:

hal-info-20090716-4.fc15.noarch requires hal >= 0:0.5.10

Since the only package depending on hal-info is libmtp-hal (a leaf package), probably the best solution is to deprecate also the hal-info package and remove it from composes.

Version-Release number of selected component (if applicable):
hal-info-20090716-4.fc15
Comment 1 Richard Hughes 2011-04-28 09:07:44 EDT
I've sent email to fedora-devel. Thanks for the reminder.
Comment 2 Nicola Soranzo 2011-05-05 05:09:51 EDT
Since nobody seems to be concerned, you can probably go on with the procedure:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Thanks!
Comment 3 Richard Hughes 2011-05-06 04:41:34 EDT
I've done the dead.package in master and opened a ticket with rel-eng. Thanks.
Comment 4 Nicola Soranzo 2011-05-06 05:00:03 EDT
Thank you Richard!

I noticed that hal is still mentioned in some kickstart files in:

http://git.fedorahosted.org/git/?p=spin-kickstarts.git

In particular, in:
fedora-live-base.ks
fedora-live-mini.ks
fedora-livecd-lxde.ks
fedora-livecd-security.ks

Maybe it should be removed also there.
Comment 5 Bruno Wolff III 2011-05-20 14:49:13 EDT
I opened Bug 706505 against spin-kickstarts to get hal removed from ks files for F16. This should be taken care of soon.

Note You need to log in before you can comment on or make changes to this bug.